
Core - Task # 41713

Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes
Story # 54853 (Accepted): As a user I want to correctly create, modify, preview and publish IRRE & MM related workspace changes

Status: Under Review Priority: Should have
Author: Oliver Hader Category:
Created: 2012-10-08 Assigned To: Oliver Hader
Updated: 2015-02-02 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity: medium
Sprint Focus:
Subject: Consider localizeReferencesAtParentLocalization for group/db
Description

Currently the TCA config property localizeReferencesAtParentLocalization for database relations is only supported for select types
with an accordant foreign_table defined. However, the whole procedure is valid but not checked for group/db fields as well.

History
#1 - 2012-10-08 16:24 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15399

#2 - 2014-01-08 22:37 - Oliver Hader
- Parent task set to #54853
- Is Regression set to No

#3 - 2014-01-08 22:39 - Oliver Hader
- Status changed from Under Review to Needs Feedback

#4 - 2014-02-18 00:44 - Oliver Hader
- Status changed from Needs Feedback to On Hold

#5 - 2014-03-16 13:06 - Oliver Hader
- Status changed from On Hold to Accepted
- Assigned To set to Oliver Hader
- Target version deleted (6.0.0-RC1)
- TYPO3 Version changed from 6.0 to 6.2

#6 - 2015-01-07 17:53 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/15399
#7 - 2015-01-08 12:54 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/15399

#8 - 2015-01-20 16:18 - Andreas Krämer

I am having just this problem with group/db and mm relations. Patch set 3 worked fine for me (TYPO3 6.2.5, PHP 5.3), but I needed to remove " &&
empty($mmTable)" in line 3317. Could you include a proper solution for group/db with mm relations?

#9 - 2015-02-02 22:19 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/15399
